IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network128.0.0.0/2
Usable hosts1,073,741,822
Subnet mask192.0.0.0
Addresses1,073,741,824
- Network address
128.0.0.0- Broadcast address
191.255.255.255- First usable
128.0.0.1- Last usable
191.255.255.254- Usable hosts
- 1,073,741,822 (1,073,741,824 less the network and broadcast addresses)
- Subnet mask
192.0.0.0- Wildcard mask
63.255.255.255(Cisco ACLs, OSPF)- Prefix length
- /2
- Type
- Public public
- Old class
- B (default /16)
- As numbers
- Hex
80000000· Integer2147483648to3221225471 - Reverse DNS zones
128.in-addr.arpa129.in-addr.arpa130.in-addr.arpa131.in-addr.arpa132.in-addr.arpa133.in-addr.arpa134.in-addr.arpa135.in-addr.arpa136.in-addr.arpa137.in-addr.arpa138.in-addr.arpa139.in-addr.arpa140.in-addr.arpa141.in-addr.arpa142.in-addr.arpa143.in-addr.arpa
and 48 more
/2 is not on a 8-bit boundary, so it takes 64 /8 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 10000000.00000000.00000000.00000000 | 128.0.0.0 |
| Subnet mask | 11000000.00000000.00000000.00000000 | 192.0.0.0 |
| Network | 10000000.00000000.00000000.00000000 | 128.0.0.0 |
| Broadcast | 10111111.11111111.11111111.11111111 | 191.255.255.255 |
Split into smaller subnets
128.0.0.0/2 makes 1,024 subnets of /12; the first 256 are listed.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 128.0.0.0/12 | 128.0.0.1 to 128.15.255.254 | 128.15.255.255 | 1,048,574 |
| 2 | 128.16.0.0/12 | 128.16.0.1 to 128.31.255.254 | 128.31.255.255 | 1,048,574 |
| 3 | 128.32.0.0/12 | 128.32.0.1 to 128.47.255.254 | 128.47.255.255 | 1,048,574 |
| 4 | 128.48.0.0/12 | 128.48.0.1 to 128.63.255.254 | 128.63.255.255 | 1,048,574 |
| 5 | 128.64.0.0/12 | 128.64.0.1 to 128.79.255.254 | 128.79.255.255 | 1,048,574 |
| 6 | 128.80.0.0/12 | 128.80.0.1 to 128.95.255.254 | 128.95.255.255 | 1,048,574 |
| 7 | 128.96.0.0/12 | 128.96.0.1 to 128.111.255.254 | 128.111.255.255 | 1,048,574 |
| 8 | 128.112.0.0/12 | 128.112.0.1 to 128.127.255.254 | 128.127.255.255 | 1,048,574 |
| 9 | 128.128.0.0/12 | 128.128.0.1 to 128.143.255.254 | 128.143.255.255 | 1,048,574 |
| 10 | 128.144.0.0/12 | 128.144.0.1 to 128.159.255.254 | 128.159.255.255 | 1,048,574 |
| 11 | 128.160.0.0/12 | 128.160.0.1 to 128.175.255.254 | 128.175.255.255 | 1,048,574 |
| 12 | 128.176.0.0/12 | 128.176.0.1 to 128.191.255.254 | 128.191.255.255 | 1,048,574 |
| 13 | 128.192.0.0/12 | 128.192.0.1 to 128.207.255.254 | 128.207.255.255 | 1,048,574 |
| 14 | 128.208.0.0/12 | 128.208.0.1 to 128.223.255.254 | 128.223.255.255 | 1,048,574 |
| 15 | 128.224.0.0/12 | 128.224.0.1 to 128.239.255.254 | 128.239.255.255 | 1,048,574 |
| 16 | 128.240.0.0/12 | 128.240.0.1 to 128.255.255.254 | 128.255.255.255 | 1,048,574 |
| 17 | 129.0.0.0/12 | 129.0.0.1 to 129.15.255.254 | 129.15.255.255 | 1,048,574 |
| 18 | 129.16.0.0/12 | 129.16.0.1 to 129.31.255.254 | 129.31.255.255 | 1,048,574 |
| 19 | 129.32.0.0/12 | 129.32.0.1 to 129.47.255.254 | 129.47.255.255 | 1,048,574 |
| 20 | 129.48.0.0/12 | 129.48.0.1 to 129.63.255.254 | 129.63.255.255 | 1,048,574 |
| 21 | 129.64.0.0/12 | 129.64.0.1 to 129.79.255.254 | 129.79.255.255 | 1,048,574 |
| 22 | 129.80.0.0/12 | 129.80.0.1 to 129.95.255.254 | 129.95.255.255 | 1,048,574 |
| 23 | 129.96.0.0/12 | 129.96.0.1 to 129.111.255.254 | 129.111.255.255 | 1,048,574 |
| 24 | 129.112.0.0/12 | 129.112.0.1 to 129.127.255.254 | 129.127.255.255 | 1,048,574 |
| 25 | 129.128.0.0/12 | 129.128.0.1 to 129.143.255.254 | 129.143.255.255 | 1,048,574 |
| 26 | 129.144.0.0/12 | 129.144.0.1 to 129.159.255.254 | 129.159.255.255 | 1,048,574 |
| 27 | 129.160.0.0/12 | 129.160.0.1 to 129.175.255.254 | 129.175.255.255 | 1,048,574 |
| 28 | 129.176.0.0/12 | 129.176.0.1 to 129.191.255.254 | 129.191.255.255 | 1,048,574 |
| 29 | 129.192.0.0/12 | 129.192.0.1 to 129.207.255.254 | 129.207.255.255 | 1,048,574 |
| 30 | 129.208.0.0/12 | 129.208.0.1 to 129.223.255.254 | 129.223.255.255 | 1,048,574 |
| 31 | 129.224.0.0/12 | 129.224.0.1 to 129.239.255.254 | 129.239.255.255 | 1,048,574 |
| 32 | 129.240.0.0/12 | 129.240.0.1 to 129.255.255.254 | 129.255.255.255 | 1,048,574 |
| 33 | 130.0.0.0/12 | 130.0.0.1 to 130.15.255.254 | 130.15.255.255 | 1,048,574 |
| 34 | 130.16.0.0/12 | 130.16.0.1 to 130.31.255.254 | 130.31.255.255 | 1,048,574 |
| 35 | 130.32.0.0/12 | 130.32.0.1 to 130.47.255.254 | 130.47.255.255 | 1,048,574 |
| 36 | 130.48.0.0/12 | 130.48.0.1 to 130.63.255.254 | 130.63.255.255 | 1,048,574 |
| 37 | 130.64.0.0/12 | 130.64.0.1 to 130.79.255.254 | 130.79.255.255 | 1,048,574 |
| 38 | 130.80.0.0/12 | 130.80.0.1 to 130.95.255.254 | 130.95.255.255 | 1,048,574 |
| 39 | 130.96.0.0/12 | 130.96.0.1 to 130.111.255.254 | 130.111.255.255 | 1,048,574 |
| 40 | 130.112.0.0/12 | 130.112.0.1 to 130.127.255.254 | 130.127.255.255 | 1,048,574 |
| 41 | 130.128.0.0/12 | 130.128.0.1 to 130.143.255.254 | 130.143.255.255 | 1,048,574 |
| 42 | 130.144.0.0/12 | 130.144.0.1 to 130.159.255.254 | 130.159.255.255 | 1,048,574 |
| 43 | 130.160.0.0/12 | 130.160.0.1 to 130.175.255.254 | 130.175.255.255 | 1,048,574 |
| 44 | 130.176.0.0/12 | 130.176.0.1 to 130.191.255.254 | 130.191.255.255 | 1,048,574 |
| 45 | 130.192.0.0/12 | 130.192.0.1 to 130.207.255.254 | 130.207.255.255 | 1,048,574 |
| 46 | 130.208.0.0/12 | 130.208.0.1 to 130.223.255.254 | 130.223.255.255 | 1,048,574 |
| 47 | 130.224.0.0/12 | 130.224.0.1 to 130.239.255.254 | 130.239.255.255 | 1,048,574 |
| 48 | 130.240.0.0/12 | 130.240.0.1 to 130.255.255.254 | 130.255.255.255 | 1,048,574 |
| 49 | 131.0.0.0/12 | 131.0.0.1 to 131.15.255.254 | 131.15.255.255 | 1,048,574 |
| 50 | 131.16.0.0/12 | 131.16.0.1 to 131.31.255.254 | 131.31.255.255 | 1,048,574 |
| 51 | 131.32.0.0/12 | 131.32.0.1 to 131.47.255.254 | 131.47.255.255 | 1,048,574 |
| 52 | 131.48.0.0/12 | 131.48.0.1 to 131.63.255.254 | 131.63.255.255 | 1,048,574 |
| 53 | 131.64.0.0/12 | 131.64.0.1 to 131.79.255.254 | 131.79.255.255 | 1,048,574 |
| 54 | 131.80.0.0/12 | 131.80.0.1 to 131.95.255.254 | 131.95.255.255 | 1,048,574 |
| 55 | 131.96.0.0/12 | 131.96.0.1 to 131.111.255.254 | 131.111.255.255 | 1,048,574 |
| 56 | 131.112.0.0/12 | 131.112.0.1 to 131.127.255.254 | 131.127.255.255 | 1,048,574 |
| 57 | 131.128.0.0/12 | 131.128.0.1 to 131.143.255.254 | 131.143.255.255 | 1,048,574 |
| 58 | 131.144.0.0/12 | 131.144.0.1 to 131.159.255.254 | 131.159.255.255 | 1,048,574 |
| 59 | 131.160.0.0/12 | 131.160.0.1 to 131.175.255.254 | 131.175.255.255 | 1,048,574 |
| 60 | 131.176.0.0/12 | 131.176.0.1 to 131.191.255.254 | 131.191.255.255 | 1,048,574 |
| 61 | 131.192.0.0/12 | 131.192.0.1 to 131.207.255.254 | 131.207.255.255 | 1,048,574 |
| 62 | 131.208.0.0/12 | 131.208.0.1 to 131.223.255.254 | 131.223.255.255 | 1,048,574 |
| 63 | 131.224.0.0/12 | 131.224.0.1 to 131.239.255.254 | 131.239.255.255 | 1,048,574 |
| 64 | 131.240.0.0/12 | 131.240.0.1 to 131.255.255.254 | 131.255.255.255 | 1,048,574 |
| 65 | 132.0.0.0/12 | 132.0.0.1 to 132.15.255.254 | 132.15.255.255 | 1,048,574 |
| 66 | 132.16.0.0/12 | 132.16.0.1 to 132.31.255.254 | 132.31.255.255 | 1,048,574 |
| 67 | 132.32.0.0/12 | 132.32.0.1 to 132.47.255.254 | 132.47.255.255 | 1,048,574 |
| 68 | 132.48.0.0/12 | 132.48.0.1 to 132.63.255.254 | 132.63.255.255 | 1,048,574 |
| 69 | 132.64.0.0/12 | 132.64.0.1 to 132.79.255.254 | 132.79.255.255 | 1,048,574 |
| 70 | 132.80.0.0/12 | 132.80.0.1 to 132.95.255.254 | 132.95.255.255 | 1,048,574 |
| 71 | 132.96.0.0/12 | 132.96.0.1 to 132.111.255.254 | 132.111.255.255 | 1,048,574 |
| 72 | 132.112.0.0/12 | 132.112.0.1 to 132.127.255.254 | 132.127.255.255 | 1,048,574 |
| 73 | 132.128.0.0/12 | 132.128.0.1 to 132.143.255.254 | 132.143.255.255 | 1,048,574 |
| 74 | 132.144.0.0/12 | 132.144.0.1 to 132.159.255.254 | 132.159.255.255 | 1,048,574 |
| 75 | 132.160.0.0/12 | 132.160.0.1 to 132.175.255.254 | 132.175.255.255 | 1,048,574 |
| 76 | 132.176.0.0/12 | 132.176.0.1 to 132.191.255.254 | 132.191.255.255 | 1,048,574 |
| 77 | 132.192.0.0/12 | 132.192.0.1 to 132.207.255.254 | 132.207.255.255 | 1,048,574 |
| 78 | 132.208.0.0/12 | 132.208.0.1 to 132.223.255.254 | 132.223.255.255 | 1,048,574 |
| 79 | 132.224.0.0/12 | 132.224.0.1 to 132.239.255.254 | 132.239.255.255 | 1,048,574 |
| 80 | 132.240.0.0/12 | 132.240.0.1 to 132.255.255.254 | 132.255.255.255 | 1,048,574 |
| 81 | 133.0.0.0/12 | 133.0.0.1 to 133.15.255.254 | 133.15.255.255 | 1,048,574 |
| 82 | 133.16.0.0/12 | 133.16.0.1 to 133.31.255.254 | 133.31.255.255 | 1,048,574 |
| 83 | 133.32.0.0/12 | 133.32.0.1 to 133.47.255.254 | 133.47.255.255 | 1,048,574 |
| 84 | 133.48.0.0/12 | 133.48.0.1 to 133.63.255.254 | 133.63.255.255 | 1,048,574 |
| 85 | 133.64.0.0/12 | 133.64.0.1 to 133.79.255.254 | 133.79.255.255 | 1,048,574 |
| 86 | 133.80.0.0/12 | 133.80.0.1 to 133.95.255.254 | 133.95.255.255 | 1,048,574 |
| 87 | 133.96.0.0/12 | 133.96.0.1 to 133.111.255.254 | 133.111.255.255 | 1,048,574 |
| 88 | 133.112.0.0/12 | 133.112.0.1 to 133.127.255.254 | 133.127.255.255 | 1,048,574 |
| 89 | 133.128.0.0/12 | 133.128.0.1 to 133.143.255.254 | 133.143.255.255 | 1,048,574 |
| 90 | 133.144.0.0/12 | 133.144.0.1 to 133.159.255.254 | 133.159.255.255 | 1,048,574 |
| 91 | 133.160.0.0/12 | 133.160.0.1 to 133.175.255.254 | 133.175.255.255 | 1,048,574 |
| 92 | 133.176.0.0/12 | 133.176.0.1 to 133.191.255.254 | 133.191.255.255 | 1,048,574 |
| 93 | 133.192.0.0/12 | 133.192.0.1 to 133.207.255.254 | 133.207.255.255 | 1,048,574 |
| 94 | 133.208.0.0/12 | 133.208.0.1 to 133.223.255.254 | 133.223.255.255 | 1,048,574 |
| 95 | 133.224.0.0/12 | 133.224.0.1 to 133.239.255.254 | 133.239.255.255 | 1,048,574 |
| 96 | 133.240.0.0/12 | 133.240.0.1 to 133.255.255.254 | 133.255.255.255 | 1,048,574 |
| 97 | 134.0.0.0/12 | 134.0.0.1 to 134.15.255.254 | 134.15.255.255 | 1,048,574 |
| 98 | 134.16.0.0/12 | 134.16.0.1 to 134.31.255.254 | 134.31.255.255 | 1,048,574 |
| 99 | 134.32.0.0/12 | 134.32.0.1 to 134.47.255.254 | 134.47.255.255 | 1,048,574 |
| 100 | 134.48.0.0/12 | 134.48.0.1 to 134.63.255.254 | 134.63.255.255 | 1,048,574 |
| 101 | 134.64.0.0/12 | 134.64.0.1 to 134.79.255.254 | 134.79.255.255 | 1,048,574 |
| 102 | 134.80.0.0/12 | 134.80.0.1 to 134.95.255.254 | 134.95.255.255 | 1,048,574 |
| 103 | 134.96.0.0/12 | 134.96.0.1 to 134.111.255.254 | 134.111.255.255 | 1,048,574 |
| 104 | 134.112.0.0/12 | 134.112.0.1 to 134.127.255.254 | 134.127.255.255 | 1,048,574 |
| 105 | 134.128.0.0/12 | 134.128.0.1 to 134.143.255.254 | 134.143.255.255 | 1,048,574 |
| 106 | 134.144.0.0/12 | 134.144.0.1 to 134.159.255.254 | 134.159.255.255 | 1,048,574 |
| 107 | 134.160.0.0/12 | 134.160.0.1 to 134.175.255.254 | 134.175.255.255 | 1,048,574 |
| 108 | 134.176.0.0/12 | 134.176.0.1 to 134.191.255.254 | 134.191.255.255 | 1,048,574 |
| 109 | 134.192.0.0/12 | 134.192.0.1 to 134.207.255.254 | 134.207.255.255 | 1,048,574 |
| 110 | 134.208.0.0/12 | 134.208.0.1 to 134.223.255.254 | 134.223.255.255 | 1,048,574 |
| 111 | 134.224.0.0/12 | 134.224.0.1 to 134.239.255.254 | 134.239.255.255 | 1,048,574 |
| 112 | 134.240.0.0/12 | 134.240.0.1 to 134.255.255.254 | 134.255.255.255 | 1,048,574 |
| 113 | 135.0.0.0/12 | 135.0.0.1 to 135.15.255.254 | 135.15.255.255 | 1,048,574 |
| 114 | 135.16.0.0/12 | 135.16.0.1 to 135.31.255.254 | 135.31.255.255 | 1,048,574 |
| 115 | 135.32.0.0/12 | 135.32.0.1 to 135.47.255.254 | 135.47.255.255 | 1,048,574 |
| 116 | 135.48.0.0/12 | 135.48.0.1 to 135.63.255.254 | 135.63.255.255 | 1,048,574 |
| 117 | 135.64.0.0/12 | 135.64.0.1 to 135.79.255.254 | 135.79.255.255 | 1,048,574 |
| 118 | 135.80.0.0/12 | 135.80.0.1 to 135.95.255.254 | 135.95.255.255 | 1,048,574 |
| 119 | 135.96.0.0/12 | 135.96.0.1 to 135.111.255.254 | 135.111.255.255 | 1,048,574 |
| 120 | 135.112.0.0/12 | 135.112.0.1 to 135.127.255.254 | 135.127.255.255 | 1,048,574 |
| 121 | 135.128.0.0/12 | 135.128.0.1 to 135.143.255.254 | 135.143.255.255 | 1,048,574 |
| 122 | 135.144.0.0/12 | 135.144.0.1 to 135.159.255.254 | 135.159.255.255 | 1,048,574 |
| 123 | 135.160.0.0/12 | 135.160.0.1 to 135.175.255.254 | 135.175.255.255 | 1,048,574 |
| 124 | 135.176.0.0/12 | 135.176.0.1 to 135.191.255.254 | 135.191.255.255 | 1,048,574 |
| 125 | 135.192.0.0/12 | 135.192.0.1 to 135.207.255.254 | 135.207.255.255 | 1,048,574 |
| 126 | 135.208.0.0/12 | 135.208.0.1 to 135.223.255.254 | 135.223.255.255 | 1,048,574 |
| 127 | 135.224.0.0/12 | 135.224.0.1 to 135.239.255.254 | 135.239.255.255 | 1,048,574 |
| 128 | 135.240.0.0/12 | 135.240.0.1 to 135.255.255.254 | 135.255.255.255 | 1,048,574 |
| 129 | 136.0.0.0/12 | 136.0.0.1 to 136.15.255.254 | 136.15.255.255 | 1,048,574 |
| 130 | 136.16.0.0/12 | 136.16.0.1 to 136.31.255.254 | 136.31.255.255 | 1,048,574 |
| 131 | 136.32.0.0/12 | 136.32.0.1 to 136.47.255.254 | 136.47.255.255 | 1,048,574 |
| 132 | 136.48.0.0/12 | 136.48.0.1 to 136.63.255.254 | 136.63.255.255 | 1,048,574 |
| 133 | 136.64.0.0/12 | 136.64.0.1 to 136.79.255.254 | 136.79.255.255 | 1,048,574 |
| 134 | 136.80.0.0/12 | 136.80.0.1 to 136.95.255.254 | 136.95.255.255 | 1,048,574 |
| 135 | 136.96.0.0/12 | 136.96.0.1 to 136.111.255.254 | 136.111.255.255 | 1,048,574 |
| 136 | 136.112.0.0/12 | 136.112.0.1 to 136.127.255.254 | 136.127.255.255 | 1,048,574 |
| 137 | 136.128.0.0/12 | 136.128.0.1 to 136.143.255.254 | 136.143.255.255 | 1,048,574 |
| 138 | 136.144.0.0/12 | 136.144.0.1 to 136.159.255.254 | 136.159.255.255 | 1,048,574 |
| 139 | 136.160.0.0/12 | 136.160.0.1 to 136.175.255.254 | 136.175.255.255 | 1,048,574 |
| 140 | 136.176.0.0/12 | 136.176.0.1 to 136.191.255.254 | 136.191.255.255 | 1,048,574 |
| 141 | 136.192.0.0/12 | 136.192.0.1 to 136.207.255.254 | 136.207.255.255 | 1,048,574 |
| 142 | 136.208.0.0/12 | 136.208.0.1 to 136.223.255.254 | 136.223.255.255 | 1,048,574 |
| 143 | 136.224.0.0/12 | 136.224.0.1 to 136.239.255.254 | 136.239.255.255 | 1,048,574 |
| 144 | 136.240.0.0/12 | 136.240.0.1 to 136.255.255.254 | 136.255.255.255 | 1,048,574 |
| 145 | 137.0.0.0/12 | 137.0.0.1 to 137.15.255.254 | 137.15.255.255 | 1,048,574 |
| 146 | 137.16.0.0/12 | 137.16.0.1 to 137.31.255.254 | 137.31.255.255 | 1,048,574 |
| 147 | 137.32.0.0/12 | 137.32.0.1 to 137.47.255.254 | 137.47.255.255 | 1,048,574 |
| 148 | 137.48.0.0/12 | 137.48.0.1 to 137.63.255.254 | 137.63.255.255 | 1,048,574 |
| 149 | 137.64.0.0/12 | 137.64.0.1 to 137.79.255.254 | 137.79.255.255 | 1,048,574 |
| 150 | 137.80.0.0/12 | 137.80.0.1 to 137.95.255.254 | 137.95.255.255 | 1,048,574 |
| 151 | 137.96.0.0/12 | 137.96.0.1 to 137.111.255.254 | 137.111.255.255 | 1,048,574 |
| 152 | 137.112.0.0/12 | 137.112.0.1 to 137.127.255.254 | 137.127.255.255 | 1,048,574 |
| 153 | 137.128.0.0/12 | 137.128.0.1 to 137.143.255.254 | 137.143.255.255 | 1,048,574 |
| 154 | 137.144.0.0/12 | 137.144.0.1 to 137.159.255.254 | 137.159.255.255 | 1,048,574 |
| 155 | 137.160.0.0/12 | 137.160.0.1 to 137.175.255.254 | 137.175.255.255 | 1,048,574 |
| 156 | 137.176.0.0/12 | 137.176.0.1 to 137.191.255.254 | 137.191.255.255 | 1,048,574 |
| 157 | 137.192.0.0/12 | 137.192.0.1 to 137.207.255.254 | 137.207.255.255 | 1,048,574 |
| 158 | 137.208.0.0/12 | 137.208.0.1 to 137.223.255.254 | 137.223.255.255 | 1,048,574 |
| 159 | 137.224.0.0/12 | 137.224.0.1 to 137.239.255.254 | 137.239.255.255 | 1,048,574 |
| 160 | 137.240.0.0/12 | 137.240.0.1 to 137.255.255.254 | 137.255.255.255 | 1,048,574 |
| 161 | 138.0.0.0/12 | 138.0.0.1 to 138.15.255.254 | 138.15.255.255 | 1,048,574 |
| 162 | 138.16.0.0/12 | 138.16.0.1 to 138.31.255.254 | 138.31.255.255 | 1,048,574 |
| 163 | 138.32.0.0/12 | 138.32.0.1 to 138.47.255.254 | 138.47.255.255 | 1,048,574 |
| 164 | 138.48.0.0/12 | 138.48.0.1 to 138.63.255.254 | 138.63.255.255 | 1,048,574 |
| 165 | 138.64.0.0/12 | 138.64.0.1 to 138.79.255.254 | 138.79.255.255 | 1,048,574 |
| 166 | 138.80.0.0/12 | 138.80.0.1 to 138.95.255.254 | 138.95.255.255 | 1,048,574 |
| 167 | 138.96.0.0/12 | 138.96.0.1 to 138.111.255.254 | 138.111.255.255 | 1,048,574 |
| 168 | 138.112.0.0/12 | 138.112.0.1 to 138.127.255.254 | 138.127.255.255 | 1,048,574 |
| 169 | 138.128.0.0/12 | 138.128.0.1 to 138.143.255.254 | 138.143.255.255 | 1,048,574 |
| 170 | 138.144.0.0/12 | 138.144.0.1 to 138.159.255.254 | 138.159.255.255 | 1,048,574 |
| 171 | 138.160.0.0/12 | 138.160.0.1 to 138.175.255.254 | 138.175.255.255 | 1,048,574 |
| 172 | 138.176.0.0/12 | 138.176.0.1 to 138.191.255.254 | 138.191.255.255 | 1,048,574 |
| 173 | 138.192.0.0/12 | 138.192.0.1 to 138.207.255.254 | 138.207.255.255 | 1,048,574 |
| 174 | 138.208.0.0/12 | 138.208.0.1 to 138.223.255.254 | 138.223.255.255 | 1,048,574 |
| 175 | 138.224.0.0/12 | 138.224.0.1 to 138.239.255.254 | 138.239.255.255 | 1,048,574 |
| 176 | 138.240.0.0/12 | 138.240.0.1 to 138.255.255.254 | 138.255.255.255 | 1,048,574 |
| 177 | 139.0.0.0/12 | 139.0.0.1 to 139.15.255.254 | 139.15.255.255 | 1,048,574 |
| 178 | 139.16.0.0/12 | 139.16.0.1 to 139.31.255.254 | 139.31.255.255 | 1,048,574 |
| 179 | 139.32.0.0/12 | 139.32.0.1 to 139.47.255.254 | 139.47.255.255 | 1,048,574 |
| 180 | 139.48.0.0/12 | 139.48.0.1 to 139.63.255.254 | 139.63.255.255 | 1,048,574 |
| 181 | 139.64.0.0/12 | 139.64.0.1 to 139.79.255.254 | 139.79.255.255 | 1,048,574 |
| 182 | 139.80.0.0/12 | 139.80.0.1 to 139.95.255.254 | 139.95.255.255 | 1,048,574 |
| 183 | 139.96.0.0/12 | 139.96.0.1 to 139.111.255.254 | 139.111.255.255 | 1,048,574 |
| 184 | 139.112.0.0/12 | 139.112.0.1 to 139.127.255.254 | 139.127.255.255 | 1,048,574 |
| 185 | 139.128.0.0/12 | 139.128.0.1 to 139.143.255.254 | 139.143.255.255 | 1,048,574 |
| 186 | 139.144.0.0/12 | 139.144.0.1 to 139.159.255.254 | 139.159.255.255 | 1,048,574 |
| 187 | 139.160.0.0/12 | 139.160.0.1 to 139.175.255.254 | 139.175.255.255 | 1,048,574 |
| 188 | 139.176.0.0/12 | 139.176.0.1 to 139.191.255.254 | 139.191.255.255 | 1,048,574 |
| 189 | 139.192.0.0/12 | 139.192.0.1 to 139.207.255.254 | 139.207.255.255 | 1,048,574 |
| 190 | 139.208.0.0/12 | 139.208.0.1 to 139.223.255.254 | 139.223.255.255 | 1,048,574 |
| 191 | 139.224.0.0/12 | 139.224.0.1 to 139.239.255.254 | 139.239.255.255 | 1,048,574 |
| 192 | 139.240.0.0/12 | 139.240.0.1 to 139.255.255.254 | 139.255.255.255 | 1,048,574 |
| 193 | 140.0.0.0/12 | 140.0.0.1 to 140.15.255.254 | 140.15.255.255 | 1,048,574 |
| 194 | 140.16.0.0/12 | 140.16.0.1 to 140.31.255.254 | 140.31.255.255 | 1,048,574 |
| 195 | 140.32.0.0/12 | 140.32.0.1 to 140.47.255.254 | 140.47.255.255 | 1,048,574 |
| 196 | 140.48.0.0/12 | 140.48.0.1 to 140.63.255.254 | 140.63.255.255 | 1,048,574 |
| 197 | 140.64.0.0/12 | 140.64.0.1 to 140.79.255.254 | 140.79.255.255 | 1,048,574 |
| 198 | 140.80.0.0/12 | 140.80.0.1 to 140.95.255.254 | 140.95.255.255 | 1,048,574 |
| 199 | 140.96.0.0/12 | 140.96.0.1 to 140.111.255.254 | 140.111.255.255 | 1,048,574 |
| 200 | 140.112.0.0/12 | 140.112.0.1 to 140.127.255.254 | 140.127.255.255 | 1,048,574 |
| 201 | 140.128.0.0/12 | 140.128.0.1 to 140.143.255.254 | 140.143.255.255 | 1,048,574 |
| 202 | 140.144.0.0/12 | 140.144.0.1 to 140.159.255.254 | 140.159.255.255 | 1,048,574 |
| 203 | 140.160.0.0/12 | 140.160.0.1 to 140.175.255.254 | 140.175.255.255 | 1,048,574 |
| 204 | 140.176.0.0/12 | 140.176.0.1 to 140.191.255.254 | 140.191.255.255 | 1,048,574 |
| 205 | 140.192.0.0/12 | 140.192.0.1 to 140.207.255.254 | 140.207.255.255 | 1,048,574 |
| 206 | 140.208.0.0/12 | 140.208.0.1 to 140.223.255.254 | 140.223.255.255 | 1,048,574 |
| 207 | 140.224.0.0/12 | 140.224.0.1 to 140.239.255.254 | 140.239.255.255 | 1,048,574 |
| 208 | 140.240.0.0/12 | 140.240.0.1 to 140.255.255.254 | 140.255.255.255 | 1,048,574 |
| 209 | 141.0.0.0/12 | 141.0.0.1 to 141.15.255.254 | 141.15.255.255 | 1,048,574 |
| 210 | 141.16.0.0/12 | 141.16.0.1 to 141.31.255.254 | 141.31.255.255 | 1,048,574 |
| 211 | 141.32.0.0/12 | 141.32.0.1 to 141.47.255.254 | 141.47.255.255 | 1,048,574 |
| 212 | 141.48.0.0/12 | 141.48.0.1 to 141.63.255.254 | 141.63.255.255 | 1,048,574 |
| 213 | 141.64.0.0/12 | 141.64.0.1 to 141.79.255.254 | 141.79.255.255 | 1,048,574 |
| 214 | 141.80.0.0/12 | 141.80.0.1 to 141.95.255.254 | 141.95.255.255 | 1,048,574 |
| 215 | 141.96.0.0/12 | 141.96.0.1 to 141.111.255.254 | 141.111.255.255 | 1,048,574 |
| 216 | 141.112.0.0/12 | 141.112.0.1 to 141.127.255.254 | 141.127.255.255 | 1,048,574 |
| 217 | 141.128.0.0/12 | 141.128.0.1 to 141.143.255.254 | 141.143.255.255 | 1,048,574 |
| 218 | 141.144.0.0/12 | 141.144.0.1 to 141.159.255.254 | 141.159.255.255 | 1,048,574 |
| 219 | 141.160.0.0/12 | 141.160.0.1 to 141.175.255.254 | 141.175.255.255 | 1,048,574 |
| 220 | 141.176.0.0/12 | 141.176.0.1 to 141.191.255.254 | 141.191.255.255 | 1,048,574 |
| 221 | 141.192.0.0/12 | 141.192.0.1 to 141.207.255.254 | 141.207.255.255 | 1,048,574 |
| 222 | 141.208.0.0/12 | 141.208.0.1 to 141.223.255.254 | 141.223.255.255 | 1,048,574 |
| 223 | 141.224.0.0/12 | 141.224.0.1 to 141.239.255.254 | 141.239.255.255 | 1,048,574 |
| 224 | 141.240.0.0/12 | 141.240.0.1 to 141.255.255.254 | 141.255.255.255 | 1,048,574 |
| 225 | 142.0.0.0/12 | 142.0.0.1 to 142.15.255.254 | 142.15.255.255 | 1,048,574 |
| 226 | 142.16.0.0/12 | 142.16.0.1 to 142.31.255.254 | 142.31.255.255 | 1,048,574 |
| 227 | 142.32.0.0/12 | 142.32.0.1 to 142.47.255.254 | 142.47.255.255 | 1,048,574 |
| 228 | 142.48.0.0/12 | 142.48.0.1 to 142.63.255.254 | 142.63.255.255 | 1,048,574 |
| 229 | 142.64.0.0/12 | 142.64.0.1 to 142.79.255.254 | 142.79.255.255 | 1,048,574 |
| 230 | 142.80.0.0/12 | 142.80.0.1 to 142.95.255.254 | 142.95.255.255 | 1,048,574 |
| 231 | 142.96.0.0/12 | 142.96.0.1 to 142.111.255.254 | 142.111.255.255 | 1,048,574 |
| 232 | 142.112.0.0/12 | 142.112.0.1 to 142.127.255.254 | 142.127.255.255 | 1,048,574 |
| 233 | 142.128.0.0/12 | 142.128.0.1 to 142.143.255.254 | 142.143.255.255 | 1,048,574 |
| 234 | 142.144.0.0/12 | 142.144.0.1 to 142.159.255.254 | 142.159.255.255 | 1,048,574 |
| 235 | 142.160.0.0/12 | 142.160.0.1 to 142.175.255.254 | 142.175.255.255 | 1,048,574 |
| 236 | 142.176.0.0/12 | 142.176.0.1 to 142.191.255.254 | 142.191.255.255 | 1,048,574 |
| 237 | 142.192.0.0/12 | 142.192.0.1 to 142.207.255.254 | 142.207.255.255 | 1,048,574 |
| 238 | 142.208.0.0/12 | 142.208.0.1 to 142.223.255.254 | 142.223.255.255 | 1,048,574 |
| 239 | 142.224.0.0/12 | 142.224.0.1 to 142.239.255.254 | 142.239.255.255 | 1,048,574 |
| 240 | 142.240.0.0/12 | 142.240.0.1 to 142.255.255.254 | 142.255.255.255 | 1,048,574 |
| 241 | 143.0.0.0/12 | 143.0.0.1 to 143.15.255.254 | 143.15.255.255 | 1,048,574 |
| 242 | 143.16.0.0/12 | 143.16.0.1 to 143.31.255.254 | 143.31.255.255 | 1,048,574 |
| 243 | 143.32.0.0/12 | 143.32.0.1 to 143.47.255.254 | 143.47.255.255 | 1,048,574 |
| 244 | 143.48.0.0/12 | 143.48.0.1 to 143.63.255.254 | 143.63.255.255 | 1,048,574 |
| 245 | 143.64.0.0/12 | 143.64.0.1 to 143.79.255.254 | 143.79.255.255 | 1,048,574 |
| 246 | 143.80.0.0/12 | 143.80.0.1 to 143.95.255.254 | 143.95.255.255 | 1,048,574 |
| 247 | 143.96.0.0/12 | 143.96.0.1 to 143.111.255.254 | 143.111.255.255 | 1,048,574 |
| 248 | 143.112.0.0/12 | 143.112.0.1 to 143.127.255.254 | 143.127.255.255 | 1,048,574 |
| 249 | 143.128.0.0/12 | 143.128.0.1 to 143.143.255.254 | 143.143.255.255 | 1,048,574 |
| 250 | 143.144.0.0/12 | 143.144.0.1 to 143.159.255.254 | 143.159.255.255 | 1,048,574 |
| 251 | 143.160.0.0/12 | 143.160.0.1 to 143.175.255.254 | 143.175.255.255 | 1,048,574 |
| 252 | 143.176.0.0/12 | 143.176.0.1 to 143.191.255.254 | 143.191.255.255 | 1,048,574 |
| 253 | 143.192.0.0/12 | 143.192.0.1 to 143.207.255.254 | 143.207.255.255 | 1,048,574 |
| 254 | 143.208.0.0/12 | 143.208.0.1 to 143.223.255.254 | 143.223.255.255 | 1,048,574 |
| 255 | 143.224.0.0/12 | 143.224.0.1 to 143.239.255.254 | 143.239.255.255 | 1,048,574 |
| 256 | 143.240.0.0/12 | 143.240.0.1 to 143.255.255.254 | 143.255.255.255 | 1,048,574 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |